#include <mbed.h>

static PwmOut motor1Pwm(p26);
DigitalOut motor1Dir(p25);

static PwmOut motor2Pwm(p24);
DigitalOut motor2Dir(p23);


void motors_init()
{
    motor1Pwm.period_us(50);
    motor2Pwm.period_us(50);
}

void motors_speed_set(int16_t motor1_speed, int16_t motor2_speed)
{
    motor1Pwm.pulsewidth_us(motor1_speed);
    motor2Pwm.pulsewidth_us(motor2_speed);    
}
